Subject: Re: [MMUSIC] About the parameter like SMPTE Relative Timestamps/Normal Play Time/Absolute Time

From: Deepak Kotian <[email-masked]>
Date: Fri, 19 Sep 2003 01:05:21 +0530

Hi,

Thanks for inputs.
Do you have some kind of use cases for this various timestamp.
Basically, I was interested in what can needs to be done in the RTSP
server for these timestamp or we need not do anything.
We are streaming a RealTime MPEG1 video and audio ES via seperate
ports from TV Source/DVD/VHs, we are using hardware  encoder to encode
this Live data.

Can I get some more inputs on this one please.

Thanks and Regard
Deepak
----- Original Message -----
From: "Magnus Westerlund" <[email-masked]>
To: "Deepak Kotian" <[email-masked]>
Cc: "IETF MMUSIC WG" <[email-masked]>
Sent: Thursday, September 18, 2003 2:13 PM
Subject: Re: [MMUSIC] About the parameter like SMPTE Relative
Timestamps/Normal Play Time/Absolute Time

> Hi,
>
> What Range format to use depends on what time format things are
> interesting to give, but also on the clients capabilities. Not knowing
> what your intentions are I can't give any answers.
>
> NPT is required to be implemented in clients. If no frame exact times
> since media start is of interest I would use this format.
>
> SMPTE is good if one needs to have frame exact access, however how many
> clients that support this is a big question.
>
> Absolute time is good if you are relying things that has interesting
> real time clocks. For example a surveillance tape which is stamped with
> the time of capture should be using absolute time.
>
> Best Regards
>
> Magnus
>
>
> Deepak Kotian wrote:
>
> > Hi,
> >
> > Can one please let us know
> > What should be the implementation for the parameter like SMPTE Relative
> > Timestamps/Normal Play Time/Absolute Time in the our RTSP server.
> >
> > Our requirement is to implement the minimal RTSP server for a RealTime
> > Video data and play it on RealOne player.
> > We stream like TV shows or DVDs or Camera, in this case , it is
basically
> > RealTime video
> >
> > Can anyone please give any view on this please.
> >
> > Thanks and Regards
> > Deepak
> >
> >
> >
> >
> >
> > _______________________________________________
> > mmusic mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/mmusic
> >
>
> --
>
> Magnus Westerlund
>
> Multimedia Technologies, Ericsson Research EAB/TVA/A
> ----------------------------------------------------------------------
> Ericsson AB                | Phone +46 8 4048287
> Torshamsgatan 23           | Fax   +46 8 7575550
> S-164 80 Stockholm, Sweden | mailto: [email-masked]
>

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic